Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

Workspace ID.

Example:

"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"

agentId
string
required

Agent ID. Accepts the canonical agent_… form or the external_id:<value> form.

Example:

"agent_01HXKD2E5NQM3T9AYWCFMGWT9Y"

variationId
string
required

Variation ID. Accepts the canonical agentvar_… form or the external_id:<value> form.

Example:

"agentvar_01HXKD2E5NQM3T9AYWCF32BSPP"

Body

application/json

Update an existing memory layer assignment. Only position is mutable. A new position that collides with another assignment on the same variation is rejected with InvalidArgument. An unassigned layer returns NotFound.

memoryLayerId
string
required

Layer to reposition. Accepts memlyr_… or external_id:.

Minimum string length: 1
Example:

"memlyr_01HXKD2E5NQM3T9AYWCFFFBMJH"

position
integer<int32>
required

New position. Only field currently updatable on an assignment.

Response

OK

AgentVariation resource

metadata
object
required

Resource metadata

spec
object
required

Variation specification

info
object
required

Read-only summary information